import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSColor } from "./NSColor.js";
import type { _NSImage } from "./NSImage.js";
import type { NSTableViewRowActionStyle } from "./NSTableViewRowActionStyle.js";
export declare class _NSTableViewRowAction extends _NSObject {
    static alloc(): _NSTableViewRowAction;
    static new(): _NSTableViewRowAction;
    init(): _NSTableViewRowAction;
    static rowActionWithStyle$title$handler$(style: NSTableViewRowActionStyle, title: _NSString, handler: (action: _NSTableViewRowAction, row: number) => void): _NSTableViewRowAction;
    style(): NSTableViewRowActionStyle;
    title(): _NSString;
    setTitle$(value: _NSString): void;
    /**
     * The default background color is dependent on style. Generally this is red for destructive actions, and blue for others.
     */
    backgroundColor(): _NSColor;
    setBackgroundColor$(value: _NSColor): void;
    /** Prefer using an image over text for the row action button */
    image(): _NSImage;
    setImage$(value: _NSImage): void;
}
export interface _NSTableViewRowAction extends _NSCopying {
}
